--[[----------------------------------------------------------
	RadarMiniMap Settings
  ]]----------------------------------------------------------
  
  
function RMM.LoadSettings()
  
	RMM.mainSet = {}	
	RMM.mainSet = ZO_SavedVars:NewAccountWide("RMM_Main", 1, nil, RMM.mainDefaults)
  
end
  
--[[----------------------------------------------------------
	RadarMiniMap Main Defaults
  ]]----------------------------------------------------------
  
RMM.mainDefaults =
{
	["active"] = true,
	["positionX"] = 100,
	["positionY"] = 100,
	["sizeX"] = 256,
	["sizeY"] = 256,
	["tooltipsEnabled"] = true,
	["mapRotation"] = true,
	["heading"] = "Camera",
	["defaultCompass"] = 1,
	["showLocationName"] = true,
	["pinEnabled"] = true,
	["pinSize"] = 0.625,
	["linkEnabled"] = true,
	["linkThick"] = 5,
	["filterEnabled"] = true,
	["posUpdateRate"] = 50,
	["smtplUpdateRate"] = 1000,
	["linkUpdateRate"] = 500,
	["groupUpdateRate"] = 100,
	["playerPinSize"] = 16,
	["playerPinColor"] = {["r"] = 0.2,["g"] = 0.2,["b"] = 0.4,["a"] = 1},
	["borderGroupCustom"] = true,
	["borderGroup"] = true,
	["groupCustomIcon"] = true,
	["groupSize"] = 10,
	["groupTextSize"] = 8,
	["groupTextOffsetX"] = 0,
	["groupTextOffsetY"] = 0,
	["groupColor"] = {["r"] = 0.1,["g"] = 0.6,["b"] = 1,["a"] = 1},
	["groupTextColor"] = {["r"] = 0,["g"] = 0,["b"] = 0,["a"] = 1},
	["groupDeadColor"] = {["r"] = 1,["g"] = 0,["b"] = 0,["a"] = 1},
	["borderGroupLeader"] = true,
	["groupLeaderCustomIcon"] = true,
	["groupLeaderSize"] = 10,
	["groupLeaderTextSize"] = 8,
	["groupLeaderTextOffsetX"] = 0,
	["groupLeaderTextOffsetY"] = 0,
	["groupLeaderColor"] = {["r"] = 0.09, ["g"] = 0.74, ["b"] = 0.003, ["a"] = 1},
	["groupLeaderTextColor"] = {["r"] = 0,["g"] = 0,["b"] = 0,["a"] = 1},
	["groupLeaderDeadColor"] = {["r"] = 1,["g"] = 0,["b"] = 0,["a"] = 1},
	["borderQuest"] = true,
	["borderQuestSize"] = 20,
	["ping1Color"] = {["r"] = 0.36,["g"] = 0.67,["b"] = 1,["a"] = 1},
	["ping2Color"] = {["r"] = 1,["g"] = 0.23,["b"] = 0.3,["a"] = 1},
	["ping3Color"] = {["r"] = 1,["g"] = 0.5,["b"] = 0.23,["a"] = 1},
	["borderPing"] = true,
	["borderPingSize"] = 20,
	["pixelBorder"] = -4,
	["percentBorder"] = -6,
	["harvestMapZoom"] = 1.5,
	["locationFontSize"] = 16,
	["locationFont"] = "ESO Cartographer",
	["locationFontColor"] = {["r"] = 1, ["g"] = 0.83, ["b"] = 0.6, ["a"] = 1},
	["locationFontType"] = "Soft Shadow Thick",
	["squareMap"] = false,
	["squareMapCompass"] = true,
	["squareMapCompassFontSize"] = 8,
	["squareMapCompassFont"] = "Arial Narrow",
	["squareMapCompassFontColor"] = {["r"] = 1,["g"] = 1,["b"] = 1,["a"] = 1},
	["squareMapCompassFontType"] = "Shadow",
	["squareMapBorder"] = true,
	["squareMapBorderSize"] = 15,
	["squareMapBorderColor"] = {["r"] = 0,["g"] = 0,["b"] = 0,["a"] = 0.5},
	["squareMapBorderCompass"] = -7,
	["squareMapAlpha"] = 1,
	["quickMenuAnchor"] = "AUTO",
	["zoom"] = 
	{
		["00"] = 1,
		["01"] = 1,
		["02"] = 1,
		["10"] = 1,
		["11"] = 1,
		["12"] = 1,
		["20"] = 1,
		["21"] = 1,
		["22"] = 1,
		["30"] = 1,
		["31"] = 1,
		["32"] = 1,
		["40"] = 1,
		["41"] = 1,
		["42"] = 1,
		["50"] = 1,
		["51"] = 1,
		["52"] = 1
	},
	["wheelAddon"] = "RMM",
	["wheelTexture"] = "default",
	["overlayAddon"] = "RMM",
	["overlayTexture"] = "default",
}